/***************************************************************************
 *
 * object_table.h : Object table, fast manipulation using arrays
 *
 * Copyright (C) 2005 Richard Hughes, <richard@hughsie.com>
 *
 * Licensed under the GNU GPL v2.  See COPYING.
 *
 **************************************************************************/

void object_table_print(GenericObject *slotBase);
gboolean object_table_find(const char *udi, GenericObject **slotData, GenericObject *slotBase);
gboolean object_table_add(const char *udi, GenericObject **slotData, GenericObject *slotBase);
gboolean object_table_remove(const char *udi, GenericObject **slotData, GenericObject *slotBase);
