/***************************************************************************
 *
 * icons.h : Do icons in taskbar
 *
 * Copyright (C) 2005 Richard Hughes, <richard@hughsie.com>
 *
 * Licensed under the GNU GPL v2.  See COPYING.
 *
 **************************************************************************/

void icon_destroy (TrayData *td);
TrayData *icon_create (MenuData *md, int number, const char *filename, const char *tooltip);
void icon_modify_image (TrayData *td, const char* filename);
void icon_modify_tooltip (TrayData *td, const char* tooltip);
gboolean tray_icon_release (GtkWidget *widget, GdkEventButton *event, MenuData *md);
gboolean tray_icon_press (GtkWidget *widget, GdkEventButton *event, MenuData *md);
gboolean tray_destroyed (GtkWidget *widget, GdkEvent *event, gpointer user_data);
